SelectorParserTokenManager (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.selector.SelectorParserTokenManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.selector
Class SelectorParserTokenManager

    java.lang.Object
      org.codehaus.activemq.selector.SelectorParserTokenManager

All Implemented Interfaces:
  SelectorParserConstants

public class SelectorParserTokenManager
extends Object
implements SelectorParserConstants

Field Summary
`protected char` | `curChar`
`(package private) int` | `curLexState`
`PrintStream` | `debugStream`
`(package private) int` | `defaultLexState`
`(package private) static long[]` | `jjbitVec0`
`(package private) static long[]` | `jjbitVec2`
`(package private) int` | `jjmatchedKind`
`(package private) int` | `jjmatchedPos`
`(package private) int` | `jjnewStateCnt`
`(package private) static int[]` | `jjnextStates`
`(package private) int` | `jjround`
`static String[]` | `jjstrLiteralImages`
`(package private) static long[]` | `jjtoSkip`
`(package private) static long[]` | `jjtoSpecial`
`(package private) static long[]` | `jjtoToken`
`static String[]` | `lexStateNames`

Fields inherited from interface org.codehaus.activemq.selector.SelectorParserConstants
`AND, BETWEEN, BLOCK_COMMENT, DEFAULT, EOF, ESCAPE, EXPONENT, FALSE, FLOATING_POINT_LITERAL, ID, IN, INTEGER_LITERAL, IS, LIKE, LINE_COMMENT, NOT, NULL, OR, STRING_LITERAL, tokenImage, TRUE`

Constructor Summary
`SelectorParserTokenManager(SimpleCharStream stream)`
`SelectorParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjbitVec0

    static final long[] jjbitVec0

### jjbitVec2

    static final long[] jjbitVec2

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### jjtoSpecial

    static final long[] jjtoSpecial

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### SelectorParserTokenManager

    public SelectorParserTokenManager(SimpleCharStream stream)

### SelectorParserTokenManager

    public SelectorParserTokenManager(SimpleCharStream stream,
                                      int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.